package com.tzld.piaoquan.api.service.contentplatform;

import com.tzld.piaoquan.api.model.param.contentplatform.NoticeListParam;
import com.tzld.piaoquan.api.model.param.contentplatform.NoticeReadParam;
import com.tzld.piaoquan.api.model.vo.contentplatform.NoticeItemVO;
import com.tzld.piaoquan.growth.common.utils.page.Page;

public interface ContentPlatformNoticeService {

    Page<NoticeItemVO> noticeList(NoticeListParam param);

    Long getNotReadCount();

    void noticeRead(NoticeReadParam param);

    void noticeReadAll();
}
